git-annex-importfeed(1)

NAME
git-annex-importfeed - import files from podcast feeds

SYNOPSIS
git annex importfeed [url ...]

DESCRIPTION
Imports the contents of podcast feeds. Only downloads files whose content has not already been added to the repository before, so you can delete, rename, etc the resulting files and repeated runs won't duplicate them.

When quvi is installed, links in the feed are tested to see if they are on a video hosting site, and the video is downloaded. This allows importing e.g., YouTube playlists.

To make the import process add metadata to the imported files from the feed, git config annex.genmetadata true

OPTIONS

--force

    Force downloading items it's seen before.

--template
    Controls where the files are stored.

    The default template is '${feedtitle}/${itemtitle}${extension}'

    Other available variables for templates: feedauthor, itemauthor, itemsummary, itemdescription, itemrights, itemid, itempubdate, title, author

--relaxed, --fast, --raw
    These options behave the same as when using git-annex-addurl(1).

SEE ALSO
git-annex(1)

git-annex-addurl(1)

AUTHOR
Joey Hess <id@joeyh.name>